Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.property
Class ConfigurableEntitySystemException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.bea.p13n.exceptions.SystemException
                      com.bea.p13n.property.ConfigurableEntitySystemException

All Implemented Interfaces
  Serializable

    public class ConfigurableEntitySystemException

extends SystemException

System exception class that will be thrown when a low-level error occurs in a ConfigurableEntity or its EntityPropertyManager.

See Also
  Serialized Form

Constructor Summary
`ConfigurableEntitySystemException()`
`ConfigurableEntitySystemException(String message)` Constructor
`ConfigurableEntitySystemException(String message, Throwable t)` Constructor
`ConfigurableEntitySystemException(Throwable t)` Constructor

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurableEntitySystemException

    public ConfigurableEntitySystemException()

### ConfigurableEntitySystemException

    public ConfigurableEntitySystemException(String message)

  Constructor

  Parameters
    `message` - String representing the Exception message

### ConfigurableEntitySystemException

    public ConfigurableEntitySystemException(String message,
                                             Throwable t)

  Constructor

  Parameters
    `message` - String representing the Exception message
    `t` - Throwable object representing the wrapped or chained exception

### ConfigurableEntitySystemException

    public ConfigurableEntitySystemException(Throwable t)

  Constructor

  Parameters
    `t` - Throwable object representing the wrapped or chained exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.